## stellarium 0.20.4

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.12)
MESSAGE(STATUS "Found CMake ${CMAKE_VERSION}")

IF(POLICY CMP0054)
# Potential dangerous comparison of variables. Details: https://cmake.org/cmake/help/v3.1/policy/CMP0054.html
     CMAKE_POLICY(SET CMP0054 NEW)
ENDIF()
IF(POLICY CMP0071)
     CMAKE_POLICY(SET CMP0071 NEW)
ENDIF()

# warn about deprecated stuff so that we may try fixing it
SET(CMAKE_WARN_DEPRECATED 1)

SET_PROPERTY(GLOBAL PROPERTY USE_FOLDERS ON)

########### Project name ###########
PROJECT(Stellarium)
# Use integer versions instead of strings for easier handling if required
SET(STELLARIUM_MAJOR 0)
SET(STELLARIUM_MINOR 20)
SET(STELLARIUM_PATCH 4)
ADD_DEFINITIONS(
     -DSTELLARIUM_MAJOR=${STELLARIUM_MAJOR}
     -DSTELLARIUM_MINOR=${STELLARIUM_MINOR}
     -DSTELLARIUM_PATCH=${STELLARIUM_PATCH}
)
SET(VERSION "${STELLARIUM_MAJOR}.${STELLARIUM_MINOR}.${STELLARIUM_PATCH}")
SET(PACKAGE stellarium)
STRING(TIMESTAMP CURRENTYEAR "%Y")
SET(COPYRIGHT_YEARS "2000-${CURRENTYEAR}")

SET(STELLARIUM_URL "https://stellarium.org/")
ADD_DEFINITIONS(-DSTELLARIUM_URL="${STELLARIUM_URL}")

SET(PACKAGE_VERSION "${VERSION}")
ADD_DEFINITIONS(-DPACKAGE_VERSION="${PACKAGE_VERSION}")
ADD_DEFINITIONS(-DCOPYRIGHT_YEARS="${COPYRIGHT_YEARS}")
ADD_DEFINITIONS(-DSTELLARIUM_SOURCE_DIR="${PROJECT_SOURCE_DIR}")

# currently Qt 5.9/5.12 is recommended
SET(MINIMAL_QT_VERSION "5.7.0")
# TODO: Check real minimal supported version of GPSD API
SET(MINIMAL_GPS_API_VERSION "6.0")

### Define minimal version for Windows
# Use installer for checking minimum requirements
# Stellarium/MSVC require Windows 7 (6.1) for work
# Details: http://www.jrsoftware.org/ishelp/index.php?topic=winvernotes
SET(ISS_MIN_WIN_VERSION "6.1")
# Define required version for MSVC
# Details: https://docs.microsoft.com/ru-ru/windows/win32/winprog/using-the-windows-headers
SET(MIN_WIN_VERSION "0x0601")

# Use customized cmake macros
SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/modules)

# Show platform info
MESSAGE(STATUS "Platform: ${CMAKE_SYSTEM} (${CMAKE_SYSTEM_PROCESSOR})")

########### Main global variables ###########
SET(ENABLE_TESTING 0 CACHE BOOL "Define whether the unit tests should be activated.")

IF(NOT CMAKE_BUILD_TYPE)
     SET(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: None Debug GProf Valgrind ASan UBSan Release RelWithDebInfo MinSizeRel." FORCE)
ENDIF()

IF(${CMAKE_BUILD_TYPE} MATCHES "Debug")
     IF(CMAKE_COMPILER_IS_GNUCXX)
          INCLUDE(CodeCoverage)
          IF(LCOV_PATH AND ENABLE_TESTING)
               APPEND_COVERAGE_COMPILER_FLAGS()
               MESSAGE(STATUS "Found lcov ${LCOV_PATH} (enable coverage support)")
               SETUP_TARGET_FOR_COVERAGE_LCOV(
                    NAME coverage 
                    EXECUTABLE ctest -j ${PROCESSOR_COUNT} 
                    DEPENDENCIES buildTests
               )
          ENDIF()
     ENDIF()
ENDIF()

SET(STELLARIUM_RELEASE_BUILD 1 CACHE BOOL "Set 1 to build as an official release (0 for development snapshots).")
IF(STELLARIUM_RELEASE_BUILD)
     ADD_DEFINITIONS(-DSTELLARIUM_RELEASE_BUILD)
     SET(SERIES "${STELLARIUM_MAJOR}.${STELLARIUM_MINOR}")
ELSE()
     SET(SERIES "head")
ENDIF()

########### Get revision number for non-release builds ###########
IF(NOT STELLARIUM_RELEASE_BUILD)
     # Hack until CMake detection for Git is finished
     IF(WIN32)
          FIND_FILE(GITCMD git.exe)
     ELSE()
          FIND_FILE(GITCMD git)
     ENDIF()
     STRING(TIMESTAMP CDNUMBER "%j")
     SET(WINDOWS_PACKAGE_VERSION "${VERSION}.${CDNUMBER}")
     IF(EXISTS ${GITCMD})
          EXECUTE_PROCESS(COMMAND git rev-parse --abbrev-ref HEAD WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} TIMEOUT 30 OUTPUT_VARIABLE GIT_BRANCH OUTPUT_STRIP_TRAILING_WHITESPACE ERROR_VARIABLE GIT_ERROR)
          EXECUTE_PROCESS(COMMAND git log -1 --pretty=format:%h WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} TIMEOUT 30 OUTPUT_VARIABLE GIT_REVISION OUTPUT_STRIP_TRAILING_WHITESPACE ERROR_VARIABLE GIT_ERROR)
          EXECUTE_PROCESS(COMMAND git rev-list --count ${GIT_BRANCH} WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} TIMEOUT 30 OUTPUT_VARIABLE GIT_COMMITS OUTPUT_STRIP_TRAILING_WHITESPACE ERROR_VARIABLE GIT_ERROR)
          IF(GIT_REVISION)
               SET(PACKAGE_VERSION "${VERSION}-${GIT_REVISION}")
               ADD_DEFINITIONS(-DGIT_REVISION="${GIT_REVISION}")
               ADD_DEFINITIONS(-DGIT_BRANCH="${GIT_BRANCH}")
               # better way to numbering
               SET(WINDOWS_PACKAGE_VERSION "${VERSION}.${GIT_COMMITS}")
          ENDIF()
     ELSE()
          STRING(TIMESTAMP TODAY "%j%H%M")
          SET(PACKAGE_VERSION "${VERSION}-${TODAY}")
          ADD_DEFINITIONS(-DGIT_REVISION="${TODAY}")
          ADD_DEFINITIONS(-DGIT_BRANCH="tarball")
     ENDIF()
     IF(STELLARIUM_VERSION)
          SET(PACKAGE_VERSION "${STELLARIUM_VERSION}")
          ADD_DEFINITIONS(-DSTELLARIUM_VERSION="${STELLARIUM_VERSION}")
     ENDIF()
ENDIF()
MESSAGE(STATUS "Building Stellarium ${PACKAGE_VERSION} (Mode: ${CMAKE_BUILD_TYPE})")

# Write version and series of Stellarium to Stellarium User Guide
CONFIGURE_FILE(${PROJECT_SOURCE_DIR}/cmake/version.tex.cmake ${PROJECT_SOURCE_DIR}/guide/version.tex @ONLY NEWLINE_STYLE LF)

SET(OPENGL_DEBUG_LOGGING 0 CACHE BOOL "Enable to log OpenGL information using the GL_KHR_debug extension/QOpenGLLogger")
IF(OPENGL_DEBUG_LOGGING)
     ADD_DEFINITIONS(-DOPENGL_DEBUG_LOGGING)
     # This enables logging of QOpenGLFunctions through forced glGetError after each call
     ADD_DEFINITIONS(-DQ_ENABLE_OPENGL_FUNCTIONS_DEBUG)
ENDIF()

# Use ccache if possible
FIND_PROGRAM(CCACHE_PROGRAM ccache)
IF(CCACHE_PROGRAM)
     MESSAGE(STATUS "Found ccache ${CCACHE_PROGRAM}")
     SET_PROPERTY(GLOBAL PROPERTY RULE_LAUNCH_COMPILE "${CCACHE_PROGRAM}")
ENDIF()

# Add gprof build options if necessary.  Note gmon.out will be created in working directory when Stellarium is executed
IF(${CMAKE_BUILD_TYPE} MATCHES "GProf")
     SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fprofile-arcs")
     SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs")
     SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pg")
ENDIF()

# Add valgrind build options if necessary
IF(${CMAKE_BUILD_TYPE} MATCHES "Valgrind")
     SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O0 -g")
     SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O0 -g")
ENDIF()

# Add ASan (AddressSanitizer) build options if necessary
# Details: https://github.com/google/sanitizers/wiki/AddressSanitizer
IF(${CMAKE_BUILD_TYPE} MATCHES "ASan")
     SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=address -O1 -fno-omit-frame-pointer -g")
     SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address -O1 -fno-omit-frame-pointer -g")
ENDIF()

# Add UBSan (UndefinedBehaviorSanitizer) build options if necessary
# Details: https://clang.llvm.org/docs/UndefinedBehaviorSanitizer.html
IF(${CMAKE_BUILD_TYPE} MATCHES "UBSan")
     SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=undefined -g")
     SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=undefined -g")
ENDIF()

IF(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
     SET(APPLE 1)
     SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
     # share data location:
     SET(SDATALOC "Resources")
     # home data location:
     SET(HDATALOC "$ENV{HOME}/Library/Application\ Support/${PROJECT_NAME}")
ELSE()     
     # share data location:
     SET(SDATALOC "share/${PACKAGE}")
     # home data location:
     SET(HDATALOC "$ENV{HOME}/.${PACKAGE}")
ENDIF()

IF(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_GNUCC)
     IF(WIN32)
        # The stars structs rely on gnu gcc packing of bit-fields.
        SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mno-ms-bitfields")
     ENDIF()
     SET(GCC_VERSION "${CMAKE_CXX_COMPILER_VERSION}")
ELSE()
     SET(GCC_VERSION "0.0")
ENDIF()

# _USE_MATH_DEFINES enables use of math constants like M_PI,
# which are by default disabled in standard C++ mode (like std=c++11 instead of std=gnu11)
ADD_DEFINITIONS(-D_USE_MATH_DEFINES)

# flags shared for gcc-like compilers (also MinGW/Clang)
# Qt 5.7 requires C++11 support
SET(STEL_GCC_C_FLAGS "-Wall -Wextra -Wno-unused-parameter")
SET(STEL_GCC_CXX_FLAGS "-Wall -Wextra -Wno-unused-parameter")
# Intel C/C++ compilers do not have an option -Wno-unused-results
IF(NOT "${CMAKE_CXX_COMPILER_ID}" MATCHES "Intel")
     SET(STEL_GCC_C_FLAGS "${STEL_GCC_C_FLAGS} -Wno-unused-result")
     SET(STEL_GCC_CXX_FLAGS "${STEL_GCC_CXX_FLAGS} -Wno-unused-result")
ELSE()
     # Suppress some warning for Intel C/C++ compilers
     # Diagnostic 1875: offsetof applied to non-POD (Plain Old Data) types is nonstandard
     # Diagnostic 654: overloaded virtual function
     SET(STEL_GCC_C_FLAGS "${STEL_GCC_C_FLAGS} -diag-disable:remark -wd1875,654")
     SET(STEL_GCC_CXX_FLAGS "${STEL_GCC_CXX_FLAGS} -diag-disable:remark -wd1875,654")
ENDIF()

# Set whether to try using C++11 when compiling. Required for Qt >= 5.7"
IF(NOT (CMAKE_VERSION VERSION_LESS 3.1.0))
     # Let CMake handle setting C++11 (since 3.1)
     SET(CMAKE_CXX_STANDARD 11)
     SET(CMAKE_C_STANDARD 11)
ELSE()
     # Add std=c++11 to gcc flags
     SET(STEL_GCC_CXX_FLAGS "-std=c++11 ${STEL_GCC_CXX_FLAGS}")
     # Add std=c11 to gcc flags
     SET(STEL_GCC_C_FLAGS "-std=c11 ${STEL_GCC_C_FLAGS}")
ENDIF()

IF(WIN32)
     # We don't need the extra Windows.h stuff, this may speed up compilation a tiny bit
     # This should also prevent some Winsock.h warnings
     ADD_DEFINITIONS(-DWIN32_LEAN_AND_MEAN)
     IF(NOT MSVC)
          # MinGW requires enabling of exceptions, version number storage and MinGW-specific threading
          SET(STEL_MINGW_FLAGS "-fexceptions -fident -mthreads")
          SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${STEL_GCC_C_FLAGS} ${STEL_MINGW_FLAGS}")
          SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${STEL_GCC_CXX_FLAGS} ${STEL_MINGW_FLAGS}")
     ELSE() # MSVC
          # Additional flags:
          # Disabled warnings
          # C4244: implicit type conversion to a smaller type
          # C4305: type truncation
          # C4351: "new" behaviour, member array default initialization. Required since at least C++98, but funny MSVC throws a warning.
          # C4996: deprecated POSIX names (used in zlib)
          SET(STEL_MSVC_FLAGS "/wd4244 /wd4305 /wd4351 /wd4996")
          # Set minimal version of Windows
          SET(STEL_MSVC_FLAGS "${STEL_MSVC_FLAGS} /D_WIN32_WINNT=${MIN_WIN_VERSION}")
          IF(MSVC_VERSION GREATER 1700)
               SET(STEL_MSVC_FLAGS "${STEL_MSVC_FLAGS} /MP")

               FOREACH(flag_var
                    CMAKE_EXE_LINKER_FLAGS_DEBUG CMAKE_EXE_LINKER_FLAGS_RELWITHDEBINFO
                    CMAKE_SHARED_LINKER_FLAGS_DEBUG CMAKE_SHARED_LINKER_FLAGS_RELWITHDEBINFO)
                    SET(${flag_var} "${${flag_var}} /DEBUG:FASTLINK")
               ENDFOREACH()
          ENDIF()
          SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${STEL_MSVC_FLAGS}")
          SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${STEL_MSVC_FLAGS}")
          # Additional defines:
          # NOMINMAX So that windows.h does not redefine min and max
          # _CRT_SECURE_NO_WARNINGS Removes warnings about using "insecure" C standard functions like scanf instead of MSVC-specific ones
          ADD_DEFINITIONS(-DNOMINMAX -D_CRT_SECURE_NO_WARNINGS)
     ENDIF()
ELSE()
     SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${STEL_GCC_C_FLAGS}")
     SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${STEL_GCC_CXX_FLAGS}")
ENDIF()

# CMake 3.0.0 the CMAKE_<LANG>_COMPILER_ID value for Apple-provided Clang is now AppleClang
IF("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
     # using regular Clang or AppleClang
     SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Woverloaded-virtual -Wno-unused-private-field -Wno-uninitialized -Wno-tautological-constant-out-of-range-compare")
     # The cosmetic fix for Clang 3.4
     IF(${CMAKE_CXX_COMPILER_VERSION} VERSION_GREATER 3.3)
          SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-unused-const-variable -Wno-unused-result")
     ENDIF()
ENDIF()

=== data/CMakeLists.txt ===

########### install files ###############
INSTALL(FILES ssystem_major.ini ssystem_minor.ini ssystem_1000comets.ini base_locations.bin.gz DejaVuSans.ttf default_cfg.ini DejaVuSansMono.ttf iso639-1.utf8 iso3166.tab countryCodes.dat constellation_boundaries.dat constellations_spans.dat nomenclature.dat DESTINATION ${SDATALOC}/data)
INSTALL(DIRECTORY shaders/ DESTINATION ${SDATALOC}/data/shaders FILES_MATCHING
	PATTERN "planet*" 
	)

########### splash target ##############
ADD_CUSTOM_TARGET(splash ALL)
SET(_splashFile splash.png)
SET(_splashDstFile ${CMAKE_CURRENT_BINARY_DIR}/${_splashFile})

IF(NOT STELLARIUM_RELEASE_BUILD)
	GET_FILENAME_COMPONENT(_splashSrcFile splash-gray.png ABSOLUTE)
ELSE()
	GET_FILENAME_COMPONENT(_splashSrcFile splash.png ABSOLUTE)
ENDIF()

ADD_CUSTOM_COMMAND(
	TARGET splash
	COMMAND ${CMAKE_COMMAND} -E copy ${_splashSrcFile} ${_splashDstFile}
)
SET_TARGET_PROPERTIES(splash PROPERTIES FOLDER "data")

########### icon target ###############
ADD_CUSTOM_TARGET(icon ALL)
IF(APPLE)
	SET(_iconFile Icon.icns)
	IF(NOT STELLARIUM_RELEASE_BUILD)
		GET_FILENAME_COMPONENT(_iconSrcFile IconGray.icns ABSOLUTE)
	ELSE()
		GET_FILENAME_COMPONENT(_iconSrcFile Icon.icns ABSOLUTE)
	ENDIF()
ELSE()
	SET(_iconFile stellarium.ico)
	IF(NOT STELLARIUM_RELEASE_BUILD)
		GET_FILENAME_COMPONENT(_iconSrcFile stellarium-gray.ico ABSOLUTE)
	ELSE()
		GET_FILENAME_COMPONENT(_iconSrcFile stellarium.ico ABSOLUTE)
	ENDIF()	
ENDIF()

SET(_iconDstFile ${CMAKE_CURRENT_BINARY_DIR}/${_iconFile})
ADD_CUSTOM_COMMAND(
	TARGET icon
	COMMAND ${CMAKE_COMMAND} -E copy ${_iconSrcFile} ${_iconDstFile}
)
SET_TARGET_PROPERTIES(icon PROPERTIES FOLDER "data")

# install splash and icon
IF(APPLE)
        INSTALL(FILES ${_iconDstFile} DESTINATION ${SDATALOC} RENAME ${_iconFile})
        INSTALL(FILES ${_splashDstFile} DESTINATION ${SDATALOC}/data RENAME ${_splashFile})
	INSTALL(FILES Info.plist PkgInfo DESTINATION .)
ELSE()
        INSTALL(FILES ${_iconDstFile} DESTINATION ${SDATALOC}/data RENAME ${_iconFile})
        INSTALL(FILES ${_splashDstFile} DESTINATION ${SDATALOC}/data RENAME ${_splashFile})
ENDIF()

# install Scenery3d shaders
IF(USE_PLUGIN_SCENERY3D)
INSTALL(DIRECTORY shaders/ DESTINATION ${SDATALOC}/data/shaders FILES_MATCHING
	PATTERN "s3d_*.vert" 
	PATTERN "s3d_*.geom" 
	PATTERN "s3d_*.frag")
ENDIF()

IF (BUILD_FOR_MAEMO)
	INSTALL(FILES maemo/stellarium.desktop DESTINATION /usr/share/applications/hildon)
	INSTALL(FILES maemo/stellarium.png DESTINATION /usr/share/icons/hicolor/48x48/apps)
ENDIF()

IF(UNIX AND NOT APPLE)
	INSTALL(FILES org.stellarium.Stellarium.desktop DESTINATION share/applications)
	INSTALL(FILES org.stellarium.Stellarium.appdata.xml DESTINATION share/metainfo)
	INSTALL(FILES stellarium.xml DESTINATION share/mime/packages)
	INSTALL(FILES icons/16x16/stellarium.png DESTINATION share/icons/hicolor/16x16/apps)
	INSTALL(FILES icons/32x32/stellarium.png DESTINATION share/icons/hicolor/32x32/apps)
	INSTALL(FILES icons/48x48/stellarium.png DESTINATION share/icons/hicolor/48x48/apps)
	INSTALL(FILES icons/64x64/stellarium.png DESTINATION share/icons/hicolor/64x64/apps)
	INSTALL(FILES icons/128x128/stellarium.png DESTINATION share/icons/hicolor/128x128/apps)
	INSTALL(FILES icons/256x256/stellarium.png DESTINATION share/icons/hicolor/256x256/apps)
	INSTALL(FILES icons/512x512/stellarium.png DESTINATION share/icons/hicolor/512x512/apps)
ENDIF()

=== scenery3d/CMakeLists.txt ===
ADD_SUBDIRECTORY( Sterngarten )
ADD_SUBDIRECTORY( Testscene )

=== skycultures/CMakeLists.txt ===
ADD_SUBDIRECTORY( almagest )
ADD_SUBDIRECTORY( anutan )
ADD_SUBDIRECTORY( arabic )
ADD_SUBDIRECTORY( arabic_moon_stations )
# Exclude from standard package
# ADD_SUBDIRECTORY( armintxe )
ADD_SUBDIRECTORY( aztec )
ADD_SUBDIRECTORY( belarusian )
ADD_SUBDIRECTORY( boorong )
ADD_SUBDIRECTORY( chinese )
ADD_SUBDIRECTORY( chinese_contemporary )
ADD_SUBDIRECTORY( chinese_medieval )
ADD_SUBDIRECTORY( dakota )
ADD_SUBDIRECTORY( egyptian )
ADD_SUBDIRECTORY( hawaiian_starlines )
ADD_SUBDIRECTORY( inuit )
ADD_SUBDIRECTORY( indian )
ADD_SUBDIRECTORY( japanese_moon_stations )
ADD_SUBDIRECTORY( kamilaroi )
ADD_SUBDIRECTORY( korean )
ADD_SUBDIRECTORY( lokono )
ADD_SUBDIRECTORY( macedonian )
ADD_SUBDIRECTORY( maori )
ADD_SUBDIRECTORY( maya )
ADD_SUBDIRECTORY( mongolian )
ADD_SUBDIRECTORY( mulapin )
ADD_SUBDIRECTORY( navajo )
ADD_SUBDIRECTORY( norse )
ADD_SUBDIRECTORY( northern_andes )
ADD_SUBDIRECTORY( ojibwe )
ADD_SUBDIRECTORY( romanian )
ADD_SUBDIRECTORY( sami )
ADD_SUBDIRECTORY( sardinian )
ADD_SUBDIRECTORY( seleucid )
ADD_SUBDIRECTORY( siberian )
ADD_SUBDIRECTORY( tongan )
ADD_SUBDIRECTORY( tukano )
ADD_SUBDIRECTORY( tupi )
ADD_SUBDIRECTORY( vanuatu_netwar )
ADD_SUBDIRECTORY( western )
ADD_SUBDIRECTORY( western_rey )
ADD_SUBDIRECTORY( western_hlad )
ADD_SUBDIRECTORY( western_SnT )

=== src/CMakeLists.txt ===
#add our external dependencies first
add_subdirectory(external)

IF(ENABLE_SPOUT)
    SET(spout_SRCS
     external/SpoutLibrary.h
     core/SpoutSender.hpp
     core/SpoutSender.cpp
	 )
ENDIF()

SET(stellarium_lib_SRCS
     core/Dithering.hpp
     core/SaturationShader.hpp
     core/healpix.c
     core/StelAudioMgr.hpp
     core/StelAudioMgr.cpp
     core/StelVideoMgr.hpp
     core/StelVideoMgr.cpp
     core/StelGeodesicGrid.cpp
     core/StelGeodesicGrid.hpp
     core/StelMovementMgr.cpp
     core/StelMovementMgr.hpp
     core/StelObserver.cpp
     core/StelObserver.hpp
     core/StelLocation.hpp
     core/StelLocation.cpp
     core/StelLocationMgr.hpp
     core/StelLocationMgr_p.hpp
     core/StelLocationMgr.cpp
     core/StelProjector.cpp
     core/StelProjector.hpp
     core/StelProjectorClasses.cpp
     core/StelProjectorClasses.hpp
     core/StelProjectorType.hpp
     core/StelSkyDrawer.cpp
     core/StelSkyDrawer.hpp
     core/StelPainter.hpp
     core/StelPainter.cpp
     core/MultiLevelJsonBase.hpp
     core/MultiLevelJsonBase.cpp
     core/StelSkyImageTile.hpp
     core/StelSkyImageTile.cpp
     core/StelSkyPolygon.hpp
     core/StelSkyPolygon.cpp
     core/SphericMirrorCalculator.cpp
     core/SphericMirrorCalculator.hpp
     core/StelApp.cpp
     core/StelApp.hpp
     core/StelCore.cpp
     core/StelCore.hpp
     core/StelFileMgr.cpp
     core/StelFileMgr.hpp
     core/StelLocaleMgr.cpp
     core/StelLocaleMgr.hpp
     core/StelModule.cpp
     core/StelModule.hpp
     core/StelModuleMgr.cpp
     core/StelModuleMgr.hpp
     core/StelObject.cpp
     core/StelObject.hpp
     core/StelObjectMgr.cpp
     core/StelObjectMgr.hpp
     core/StelObjectModule.cpp
     core/StelObjectModule.hpp
     core/StelObjectType.hpp
     core/StelOpenGL.cpp
     core/StelOpenGL.hpp
     core/StelPluginInterface.hpp
     core/StelRegionObject.hpp
     core/StelSkyCultureMgr.cpp
     core/StelSkyCultureMgr.hpp
     core/StelTextureMgr.cpp
     core/StelTextureMgr.hpp
     core/StelTexture.cpp
     core/StelTexture.hpp
     core/StelTextureTypes.hpp
     core/StelToneReproducer.cpp
     core/StelToneReproducer.hpp
     core/StelSkyLayerMgr.cpp
     core/StelSkyLayerMgr.hpp
     core/StelSkyLayer.hpp
     core/StelSkyLayer.cpp
     core/StelFader.hpp
     core/StelSphereGeometry.cpp
     core/StelSphereGeometry.hpp
     core/OctahedronPolygon.cpp
     core/OctahedronPolygon.hpp
     core/StelIniParser.cpp
     core/StelIniParser.hpp
     core/StelUtils.cpp
     core/StelUtils.hpp
     core/StelTranslator.cpp
     core/StelTranslator.hpp
     core/VecMath.hpp
     core/VecMath.cpp
     core/StelJsonParser.hpp
     core/StelJsonParser.cpp
     core/SimbadSearcher.hpp
     core/SimbadSearcher.cpp
     core/StelSphericalIndex.hpp
     core/StelSphericalIndex.cpp
     core/StelVertexArray.hpp
     core/StelVertexArray.cpp
     core/StelGuiBase.hpp
     core/StelGuiBase.cpp
     core/StelViewportEffect.hpp
     core/StelViewportEffect.cpp
     core/TrailGroup.hpp
     core/TrailGroup.cpp
     core/RefractionExtinction.hpp
     core/RefractionExtinction.cpp
     core/StelToast.hpp
     core/StelToast.cpp
     core/StelToastGrid.hpp
     core/StelToastGrid.cpp
     core/StelActionMgr.hpp
     core/StelActionMgr.cpp
     core/StelProgressController.hpp
     core/StelPropertyMgr.hpp
     core/StelPropertyMgr.cpp
     core/StelOBJ.hpp
     core/StelOBJ.cpp
     core/GeomMath.hpp
     core/GeomMath.cpp
     core/StelOpenGLArray.hpp
     core/StelOpenGLArray.cpp
     core/StelHips.hpp
     core/StelHips.cpp

     ${spout_SRCS}

     core/planetsephems/calc_interpolated_elements.c
     core/planetsephems/calc_interpolated_elements.h
     core/planetsephems/elliptic_to_rectangular.c
     core/planetsephems/elliptic_to_rectangular.h
     core/planetsephems/elp82b.c
     core/planetsephems/elp82b.h
     core/planetsephems/gust86.c
     core/planetsephems/gust86.h
     core/planetsephems/l12.c
     core/planetsephems/l12.h
     core/planetsephems/marssat.c
     core/planetsephems/marssat.h
     core/planetsephems/pluto.c
     core/planetsephems/pluto.h
     core/planetsephems/precession.c
     core/planetsephems/precession.h
     core/planetsephems/sidereal_time.c
     core/planetsephems/sidereal_time.h
     #core/planetsephems/stellplanet.c   # replaced by EphemWrapper during de430 work
     #core/planetsephems/stellplanet.h
     core/planetsephems/jpl_int.h
     core/planetsephems/jpleph.h
     core/planetsephems/jpleph.cpp
     core/planetsephems/EphemWrapper.cpp
     core/planetsephems/EphemWrapper.hpp

     core/planetsephems/tass17.c
     core/planetsephems/tass17.h
     core/planetsephems/vsop87.c
     core/planetsephems/vsop87.h
     core/planetsephems/de430.cpp
     core/planetsephems/de430.hpp
     core/planetsephems/de431.cpp
     core/planetsephems/de431.hpp

     core/modules/Atmosphere.cpp
     core/modules/Atmosphere.hpp
     core/modules/Asterism.cpp
     core/modules/Asterism.hpp
     core/modules/AsterismMgr.cpp
     core/modules/AsterismMgr.hpp
     core/modules/Constellation.cpp
     core/modules/Constellation.hpp
     core/modules/ConstellationMgr.cpp
     core/modules/ConstellationMgr.hpp
     core/modules/CustomObject.cpp
     core/modules/CustomObject.hpp
     core/modules/CustomObjectMgr.cpp
     core/modules/CustomObjectMgr.hpp
     core/modules/HighlightMgr.cpp
     core/modules/HighlightMgr.hpp
     core/modules/GridLinesMgr.cpp
     core/modules/GridLinesMgr.hpp
     core/modules/HipsMgr.hpp
     core/modules/HipsMgr.cpp
     core/modules/LabelMgr.hpp
     core/modules/LabelMgr.cpp
     core/modules/MarkerMgr.hpp
     core/modules/MarkerMgr.cpp
     core/modules/Landscape.cpp
     core/modules/Landscape.hpp
     core/modules/LandscapeMgr.cpp
     core/modules/LandscapeMgr.hpp
     core/modules/Meteor.cpp
     core/modules/Meteor.hpp
     core/modules/SporadicMeteor.cpp
     core/modules/SporadicMeteor.hpp
     core/modules/SporadicMeteorMgr.cpp
     core/modules/SporadicMeteorMgr.hpp
     core/modules/MilkyWay.cpp
     core/modules/MilkyWay.hpp
     core/modules/Nebula.cpp
     core/modules/Nebula.hpp
     core/modules/NebulaList.hpp
     core/modules/NebulaMgr.cpp
     core/modules/NebulaMgr.hpp
     core/modules/Orbit.cpp
     core/modules/Orbit.hpp
     core/modules/Planet.cpp
     core/modules/Planet.hpp
     core/modules/MinorPlanet.cpp
     core/modules/MinorPlanet.hpp
     core/modules/Comet.cpp
     core/modules/Comet.hpp
     core/modules/Skybright.cpp
     core/modules/Skybright.hpp
     core/modules/Skylight.cpp
     core/modules/Skylight.hpp
     core/modules/SolarSystem.cpp
     core/modules/SolarSystem.hpp
     core/modules/NomenclatureItem.cpp
     core/modules/NomenclatureItem.hpp
     core/modules/NomenclatureMgr.cpp
     core/modules/NomenclatureMgr.hpp
     core/modules/Solve.hpp
     core/modules/Star.cpp
     core/modules/Star.hpp
     core/modules/StarMgr.cpp
     core/modules/StarMgr.hpp
     core/modules/StarWrapper.cpp
     core/modules/StarWrapper.hpp
     core/modules/ToastMgr.hpp
     core/modules/ToastMgr.cpp
     core/modules/ZoneArray.cpp
     core/modules/ZodiacalLight.hpp
     core/modules/ZodiacalLight.cpp
     core/modules/ZoneArray.hpp
     core/modules/ZoneData.hpp
     core/modules/SpecialMarkersMgr.cpp
     core/modules/SpecialMarkersMgr.hpp
     StelMainView.hpp
     StelMainView.cpp
     StelSplashScreen.hpp
     StelSplashScreen.cpp
     StelLogger.hpp
     StelLogger.cpp
     CLIProcessor.hpp
     CLIProcessor.cpp
     translations.h
     translations_countries.h
)

### CMake < 3.0 does not AUTOMOC Q_GADGET which some files use, so we have to manually add it
### Wrap it in an IF to prevent some linker warnings about symbols defined twice (on MSVC13 at least)
### Q_GADGET is required force the Qt MOC to run on some specific files,
### because they do not contain QObjects, but require a MOC for Q_FLAGS or similar
IF("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 3.0)
     QT5_WRAP_CPP(stellarium_lib_moc_SRCS
         core/StelObject.hpp
         core/StelRegionObject.hpp
         core/modules/Nebula.hpp
     )
     SET(stellarium_lib_SRCS ${stellarium_lib_SRCS}
          ${stellarium_lib_moc_SRCS}
     )
ENDIF()

IF(ENABLE_SCRIPTING)
     SET(stellarium_lib_SRCS ${stellarium_lib_SRCS}
          scripting/StelScriptOutput.hpp
          scripting/StelScriptOutput.cpp
          scripting/StelScriptMgr.cpp
          scripting/StelScriptMgr.hpp
          scripting/ScreenImageMgr.hpp
          scripting/ScreenImageMgr.cpp
          scripting/StelMainScriptAPI.cpp
          scripting/StelMainScriptAPI.hpp
          scripting/StelMainScriptAPIProxy.cpp
          scripting/StelMainScriptAPIProxy.hpp
     )
ENDIF()

SET(stellarium_exe_SRCS main.cpp)

################# compiles resources files ############
SET(stellarium_RES ${CMAKE_SOURCE_DIR}/data/mainRes.qrc)
QT5_ADD_RESOURCES(stellarium_RES_CXX ${stellarium_RES})

#############################################################################################
############################# Standard GUI plugin compilation ###############################
#############################################################################################
IF(STELLARIUM_GUI_MODE STREQUAL "Standard")
     SET(stellarium_gui_SRCS
          gui/StelGui.hpp
          gui/StelGui.cpp
          gui/SkyGui.hpp
          gui/SkyGui.cpp
          gui/StelStyle.hpp
          gui/StelGuiItems.hpp
          gui/StelGuiItems.cpp
          gui/HelpDialog.hpp
          gui/HelpDialog.cpp
          gui/ShortcutLineEdit.hpp
          gui/ShortcutLineEdit.cpp
          gui/ShortcutsDialog.hpp
          gui/ShortcutsDialog.cpp
          gui/Dialog.hpp
          gui/Dialog.cpp
          gui/MapLabel.hpp
          gui/MapLabel.cpp
          gui/AngleSpinBox.hpp
          gui/AngleSpinBox.cpp
          gui/LocationDialog.hpp
          gui/LocationDialog.cpp
          gui/DateTimeDialog.hpp
          gui/DateTimeDialog.cpp
          gui/ViewDialog.hpp
          gui/ViewDialog.cpp
          gui/SearchDialog.hpp
          gui/SearchDialog.cpp
          gui/ConfigurationDialog.hpp
          gui/ConfigurationDialog.cpp
          gui/AddRemoveLandscapesDialog.hpp
          gui/AddRemoveLandscapesDialog.cpp
          gui/AtmosphereDialog.hpp
          gui/AtmosphereDialog.cpp
          gui/ConfigureDSOColorsDialog.hpp
          gui/ConfigureDSOColorsDialog.cpp
          gui/ConfigureOrbitColorsDialog.hpp
          gui/ConfigureOrbitColorsDialog.cpp
          gui/GreatRedSpotDialog.hpp
          gui/GreatRedSpotDialog.cpp
          gui/CustomDeltaTEquationDialog.hpp
          gui/CustomDeltaTEquationDialog.cpp
          gui/AstroCalcDialog.hpp
          gui/AstroCalcDialog.cpp
          gui/AstroCalcExtraEphemerisDialog.hpp
          gui/AstroCalcExtraEphemerisDialog.cpp
          gui/AstroCalcCustomStepsDialog.hpp
          gui/AstroCalcCustomStepsDialog.cpp
          gui/BookmarksDialog.hpp
          gui/BookmarksDialog.cpp
          gui/StelDialog.hpp
          gui/StelDialog_p.hpp
          gui/StelDialog.cpp
     )

     ################# compiles .ui files ############
     SET(stellarium_UIS
          gui/locationDialogGui.ui
          gui/helpDialogGui.ui
          gui/shortcutsDialog.ui
          gui/dateTimeDialogGui.ui
          gui/viewDialog.ui
          gui/searchDialogGui.ui
          gui/configurationDialog.ui
          gui/atmosphereDialog.ui
          gui/greatRedSpotDialog.ui
          gui/customDeltaTEquationDialog.ui
          gui/astroCalcDialog.ui
          gui/astroCalcExtraEphemerisDialog.ui
          gui/astroCalcCustomStepsDialog.ui
          gui/bookmarksDialog.ui
          gui/addRemoveLandscapesDialog.ui
          gui/dsoColorsDialog.ui
          gui/orbitColorsDialog.ui
     )

     IF(ENABLE_SCRIPTING)
          IF(ENABLE_SCRIPT_CONSOLE)
               SET(stellarium_gui_SRCS ${stellarium_gui_SRCS}
                    gui/ScriptConsole.hpp
                    gui/ScriptConsole.cpp

=== textures/CMakeLists.txt ===
########### install files ###############

INSTALL(DIRECTORY ./ DESTINATION ${SDATALOC}/textures
        FILES_MATCHING PATTERN "*.png"
        PATTERN "CMakeFiles" EXCLUDE )

=== landscapes/neptune/CMakeLists.txt ===

########### install files ###############

# install landscape.ini
INSTALL (FILES landscape.ini DESTINATION ${SDATALOC}/landscapes/neptune )

# install textures and descriptions
INSTALL (DIRECTORY ./ DESTINATION ${SDATALOC}/landscapes/neptune
	FILES_MATCHING PATTERN "*.png" 
	PATTERN "description.*.utf8" 
	PATTERN "CMakeFiles" EXCLUDE )

=== landscapes/ocean/CMakeLists.txt ===

########### install files ###############

# install landscape.ini
INSTALL (FILES landscape.ini DESTINATION ${SDATALOC}/landscapes/ocean )

# install textures and descriptions
INSTALL (DIRECTORY ./ DESTINATION ${SDATALOC}/landscapes/ocean
	FILES_MATCHING PATTERN "*.png" 
	PATTERN "description.*.utf8" 
	PATTERN "CMakeFiles" EXCLUDE )

=== landscapes/sun/CMakeLists.txt ===

########### install files ###############

# install landscape.ini
INSTALL (FILES landscape.ini DESTINATION ${SDATALOC}/landscapes/sun )

# install textures and descriptions
INSTALL (DIRECTORY ./ DESTINATION ${SDATALOC}/landscapes/sun
	FILES_MATCHING PATTERN "*.png" 
	PATTERN "description.*.utf8" 
	PATTERN "CMakeFiles" EXCLUDE )

=== plugins/AngleMeasure/CMakeLists.txt ===
# This is the cmake config file for the AngleMeasure plugin
SET(ANGLEMEASURE_VERSION "0.4.6")
ADD_DEFINITIONS(-DANGLEMEASURE_PLUGIN_VERSION="${ANGLEMEASURE_VERSION}")
ADD_DEFINITIONS(-DANGLEMEASURE_PLUGIN_LICENSE="GNU GPLv2 or later")

ADD_SUBDIRECTORY( src )

SET(CMAKE_INSTALL_PREFIX $HDATALOC)
INSTALL(FILES DESTINATION "modules/AngleMeasure")

=== plugins/ArchaeoLines/CMakeLists.txt ===
# This is the cmake config file for the ArchaeoLines plugin
# Versions:
#0.1.3 adding azimuth lines
#0.1.4 adding geographic locations
#0.1.5 using the StelProperty system
#0.1.6 adding arbitrary declinations
#0.1.7 adding license info for GUI
#0.1.8 adding 2 more lines to plugin (selected object azimuth and selected object hour angle)
#0.1.9 Refactor color settings, use properties more sensible.
#0.1.10 Refactor GUI
#0.1.11 Fix crossquarter declination
SET(ARCHAEOLINES_VERSION "0.1.11")
ADD_DEFINITIONS(-DARCHAEOLINES_PLUGIN_VERSION="${ARCHAEOLINES_VERSION}")
ADD_DEFINITIONS(-DARCHAEOLINES_PLUGIN_LICENSE="GNU GPLv2 or later")

ADD_SUBDIRECTORY( src )

SET(CMAKE_INSTALL_PREFIX $HDATALOC)
INSTALL(FILES DESTINATION "modules/ArchaeoLines")

=== plugins/Calendars/CMakeLists.txt ===
# This is the cmake config file for the Calendars plugin
SET(CALENDARS_VERSION "0.1.0")

ADD_DEFINITIONS(-DCALENDARS_PLUGIN_VERSION="${CALENDARS_VERSION}")
ADD_DEFINITIONS(-DCALENDARS_PLUGIN_LICENSE="GNU GPLv2 or later")

ADD_SUBDIRECTORY( src )

SET(CMAKE_INSTALL_PREFIX $HDATALOC)
INSTALL(FILES DESTINATION "modules/Calendars")

=== debian/changelog ===
stellarium (0.20.4-3) unstable; urgency=medium

  * Turn off parallel builds altogether to really fix #982882

 -- Tomasz Buchert <tomasz@debian.org>  Thu, 18 Feb 2021 23:08:59 +0100

stellarium (0.20.4-2) unstable; urgency=medium

  * Turn off parallel builds on armel and mipsel (Closes: #982882)

 -- Tomasz Buchert <tomasz@debian.org>  Thu, 18 Feb 2021 20:20:24 +0100

stellarium (0.20.4-1) unstable; urgency=medium

  * New upstream version 0.20.4
  * bump std-ver to 4.5.1

 -- Tomasz Buchert <tomasz@debian.org>  Fri, 01 Jan 2021 14:24:28 +0100

=== debian/control ===
Source: stellarium
Maintainer: Debian Astro Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Tomasz Buchert <tomasz@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 13),
               debhelper-compat (= 13),
               doxygen,
               libqt5opengl5-dev (>= 5.4),
               libqt5serialport5-dev (>= 5.4),
               mesa-common-dev,
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
               qtdeclarative5-dev-tools (>= 5.4),
               qtmultimedia5-dev (>= 5.4),
               qtpositioning5-dev (>= 5.4),
               qtscript5-dev (>= 5.4),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
               zlib1g-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian-astro-team/stellarium
Vcs-Git: https://salsa.debian.org/debian-astro-team/stellarium.git
Homepage: https://www.stellarium.org

Package: stellarium
Architecture: any
Depends: stellarium-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: real-time photo-realistic sky generator
 Stellarium renders 3D photo-realistic skies in real-time. With Stellarium, you
 really see what you can see with your eyes, binoculars or a small telescope.
 .
 Some features:
  - default star catalogue with over 600 thousand stars,
  - information about the brightest stars (spectral type, distance, etc.),
  - downloadable star catalogue extensions, for up to 210 million stars,
  - all New General Catalogue (NGC) objects,
  - images of almost all Messier objects and the Milky Way,
  - real time positions of the planets and their satellites,
  - 13 different cultures with their constellations,
  - artistic illustrations of the 88 Western constellations,
  - very realistic atmosphere, sunrise and sunset,
  - 7 panoramic landscapes (more can be made or downloaded from the website),
  - scripting with ECMAScript,
  - plug-in support: Stellarium comes with 8 plug-ins by default, including:
  - artificial satellites plug-in (updated from an on-line TLE database),
  - ocular simulation plug-in (shows how objects look like in a given ocular),
  - Solar System editor plug-in (imports comet and asteroid data from the MPC),
  - telescope control plug-in (Meade LX200 and Celestron NexStar compatible).
 .
 Stellarium should not be used for very high accurate calculation or ephemerids
 like eclipse predictions. However, it is the ideal program to prepare an
 observation evening with naked eye, binocular, or small telescope.

Package: stellarium-data
Architecture: all
Depends: fonts-dejavu-core, ${misc:Depends}
Recommends: stellarium (= ${source:Version})
Description: Stellarium data files
 Stellarium renders 3D photo-realistic skies in real-time. With Stellarium, you
 really see what you can see with your eyes, binoculars or a small telescope.
 .
 This package contains data files required by Stellarium. They include
 textures, star catalogues and translations.

## stellarium 0.21.0

=== debian/changelog ===
stellarium (0.21.0-0.1~mx19+1) mx; urgency=medium

  * Import new upstream release:
   - We have finally completed our work on accurate planet axes, including Lunar
     libration.
   - Visualisation of Earth shadow for Lunar eclipses.
   - Better texture for the Lunar surface.
   - Added the latest algorithms for planet magnitudes.
   - Enhanced Calendars plugin.
   - Replaced "arabic" by more accurate "al-Sufi" skyculture.
   - Planets are now scalable and Solar glare switchable for didactic 
     applications.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 28 Mar 2021 21:19:18 -0700

stellarium (0.20.4-1~mx19+1) mx; urgency=medium

  * New upstream version 0.20.4:
    - Added Calendars plugin
    - Many changes in AstroCalc tool and core of Stellarium
    - Many changes in plugins
    - Updated DSO catalog

  * Revert to dh-compat=12. Remove unnecssary BD on just "debhelper".
  * Minimum version of Qt needed is tentatively bumped to 5.7.0, according to
    CMakeLists.txt, pending the outcome of MX 17/18 builds.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 07 Jan 2021 08:31:25 -0800

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,26 @@
 Source: stellarium
-Maintainer: Debian Astro Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Tomasz Buchert <tomasz@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Alexander Wolf <alex.v.wolf@gmail.com>
 Section: science
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 13),
-               debhelper-compat (= 13),
+               debhelper-compat (= 11),
                doxygen,
-               libqt5opengl5-dev (>= 5.4),
-               libqt5serialport5-dev (>= 5.4),
+               libqt5opengl5-dev (>= 5.7),
+               libqt5serialport5-dev (>= 5.7),
                mesa-common-dev,
-               qtbase5-dev (>= 5.4),
-               qtdeclarative5-dev (>= 5.4),
-               qtdeclarative5-dev-tools (>= 5.4),
-               qtmultimedia5-dev (>= 5.4),
-               qtpositioning5-dev (>= 5.4),
-               qtscript5-dev (>= 5.4),
-               qttools5-dev (>= 5.4),
-               qttools5-dev-tools (>= 5.4),
+               qtbase5-dev (>= 5.7),
+               qtdeclarative5-dev (>= 5.7),
+               qtdeclarative5-dev-tools (>= 5.7),
+               qtmultimedia5-dev (>= 5.7),
+               qtpositioning5-dev (>= 5.7),
+               qtscript5-dev (>= 5.7),
+               qttools5-dev (>= 5.7),
+               qttools5-dev-tools (>= 5.7),
                zlib1g-dev
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/debian-astro-team/stellarium
-Vcs-Git: https://salsa.debian.org/debian-astro-team/stellarium.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://github.com/Stellarium/stellarium
+Vcs-Git: https://github.com/Stellarium/stellarium.git
 Homepage: https://www.stellarium.org
 
 Package: stellarium

## stellarium 0.21.1

=== debian/changelog ===
stellarium (0.21.1-0.1~mx21+1) mx; urgency=medium

  * Import new upstream release:
    - Updated designations of stars and handling of list of designations 
      and common names those stars
    - Updated Almagest and al-Sufi skycultures
    - Many changes in plugins
    - Many fixes in core and plugins for support HiDPI devices
    - Enhancements in visualization of markings and in scripting engine

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 08 Aug 2021 16:45:44 -0700

stellarium (0.21.0-0.1~mx21+1) mx; urgency=medium

  * Import new upstream release:
   - We have finally completed our work on accurate planet axes, including Lunar
     libration.
   - Visualisation of Earth shadow for Lunar eclipses.
   - Better texture for the Lunar surface.
   - Added the latest algorithms for planet magnitudes.
   - Enhanced Calendars plugin.
   - Replaced "arabic" by more accurate "al-Sufi" skyculture.
   - Planets are now scalable and Solar glare switchable for didactic 
     applications.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 28 Mar 2021 21:19:18 -0700

## stellarium 0.22.0

=== debian/changelog ===
stellarium (0.22.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release:
    - AstroCalc: Eclipse Finder
    - AstroCalc: RTS (Rises, Transits, Settings)
    - Switch from Bortle scale to physical brightness values for light pollution.
    - Allow tweaks for the atmosphere brightness/color model and tone mapping
    - Several new calendars in the Calendars plugin
    - Seasonal polar caps on Mars
    - New and improved sky cultures
    - Larger textures allowed in Scenery3D
    - Improved OnlineQueries and Satellites plugin
    - Many fixes in core and plugins.

  * Add libqt5charts5-dev to BDs to prevent FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 29 Mar 2022 13:48:25 -0700

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,18 @@
 Build-Depends: cmake,
                debhelper-compat (= 11),
                doxygen,
-               libqt5opengl5-dev (>= 5.7),
-               libqt5serialport5-dev (>= 5.7),
+               libqt5charts5-dev (>= 5.9),
+               libqt5opengl5-dev (>= 5.9),
+               libqt5serialport5-dev (>= 5.9),
                mesa-common-dev,
-               qtbase5-dev (>= 5.7),
-               qtdeclarative5-dev (>= 5.7),
-               qtdeclarative5-dev-tools (>= 5.7),
-               qtmultimedia5-dev (>= 5.7),
-               qtpositioning5-dev (>= 5.7),
-               qtscript5-dev (>= 5.7),
-               qttools5-dev (>= 5.7),
-               qttools5-dev-tools (>= 5.7),
+               qtbase5-dev (>= 5.9),
+               qtdeclarative5-dev (>= 5.9),
+               qtdeclarative5-dev-tools (>= 5.9),
+               qtmultimedia5-dev (>= 5.9),
+               qtpositioning5-dev (>= 5.9),
+               qtscript5-dev (>= 5.9),
+               qttools5-dev (>= 5.9),
+               qttools5-dev-tools (>= 5.9),
                zlib1g-dev
 Standards-Version: 4.5.0
 Vcs-Browser: https://github.com/Stellarium/stellarium
